﻿(function($) {
    eventsMonitor = function() {

        var currentTimer = null;

        // object returned by function. Exposes public methods and variables.
        var pub = {};

        pub.init = function(e, gadgetInstance) {
            // Init method is called when this gadget instance is created.
            $(this).bind("epigadgetloaded", function(e, gadgetInstance) {
                $("select[name=ViewName]", this).bind("change", gadgetInstance, function(e) {
                    $(this).closest("form").submit();
                });

                clearTimeout(currentTimer);

                if ($("select[name=ViewName]").val() == "Test") {
                    currentTimer = setTimeout(function() { eventsMonitor.refreshEventsReceived(gadgetInstance); }, 5000);
                }
                else if ($("select[name=ViewName]").val() == "Statistics") {
                    currentTimer = setTimeout(function() { eventsMonitor.refreshStatistics(gadgetInstance); }, 5000);
                }
            });

            $(document).ajaxError(function(e, xhr, settings, exception) {
                gadgetInstance.clearFeedbackMessage();                
            });
        };

        pub.refreshStatistics = function(e) {
            epi.gadget.loadView($("#StatisticsDiv"), { 'action': 'RefreshStatistics' });
        };

        pub.refreshEventsReceived = function(gadgetInstance) {

            gadgetInstance.ajax({
                url: gadgetInstance.getActionPath(
            {
                action: 'RefreshEventsReceived'
            }),
                dataType: "html",
                success: function(data, status) {
                    $("#EventsReceivedDiv").replaceWith(data);
                    gadgetInstance.setFeedbackMessage("Refreshed Events Received", { feedbackHideDelay: 1000, feedbackFadeOut: true });
                    currentTimer = setTimeout(function() { eventsMonitor.refreshEventsReceived(gadgetInstance); }, 4000);
                }
            });
        };

        // Return our public methods
        return pub;
    } ();

} (epiJQuery));