<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ViewInformation<EventSystemStatus>>" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="EPiServer.Samples.EventsMonitor.Cms6.Models" %>
<%@ Import Namespace="EPiServer.Samples.EventsMonitor.Common.Models" %>
<%
    string iconFilePath = System.IO.Path.Combine(Model.ModulePath, "Content/Images/");
    Dictionary<OperationalStatus, string> iconMap = new Dictionary<OperationalStatus, string>()
    {
        { OperationalStatus.Normal, "healthy-icon-small.jpg" },
        { OperationalStatus.PotentialProblem, "warning-icon-small.jpg" },
        { OperationalStatus.Bad, "error-icon-small.jpg" }
    };    
%>
<div class="epi-contentArea epi-padding">
    <table>
        <thead>
            <tr>
                <th>
                    Item
                </th>
                <th>
                    Status
                </th>
                <th>
                    
                </th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <strong>Overall System Health</strong>
                </td>
                <td>
                    <strong><%=Model.SubModel.StatusAsString.Replace("\r\n", "<br />")%></strong>
                </td>
                <td style="vertical-align: middle;">
                    <img src="<%=iconFilePath + iconMap[Model.SubModel.Status] %>" alt="" title="" />                    
                </td>
            </tr>
            <%
                foreach (var entry in Model.SubModel.Entries)
                {                    
            %>
            <tr>
                <td>
                    <%=entry.ItemName%>
                </td>
                <td>
                    <%=entry.StatusDescription.Replace("\r\n", "<br />")%>
                </td>
                <td style="vertical-align: middle;">
                    <img src="<%=iconFilePath + iconMap[entry.Status] %>" alt="" title="" />                    
                </td>
            </tr>
            <%   
                }
            %>
        </tbody>
    </table>
</div>
